import { EntityRepository, Repository } from "typeorm";
import { UpdateContactPageCmsDto } from "./dto/update-contact-page-cms.dto";
import { ContactPageCms } from "./entities/contact-page-cms.entity";

@EntityRepository(ContactPageCms)
export class ContactPageCmsRepository extends Repository<ContactPageCms> {

    async createEntity(dto: UpdateContactPageCmsDto): Promise<ContactPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                mapLink: dto.mapLink,
                formTitle: dto.formTitle,
                formSubTitle: dto.formSubTitle,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateContactPageCmsDto, id: string): Promise<ContactPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                mapLink: dto.mapLink,
                formTitle: dto.formTitle,
                formSubTitle: dto.formSubTitle,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ContactPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}