import { EntityRepository, Repository } from "typeorm";
import { UpdateLearnPageCmsDto } from "./dto/update-learn-page-cms.dto";
import { LearnPageCms } from "./entities/learn-page-cms.entity";

@EntityRepository(LearnPageCms)
export class LearnPageCmsRepository extends Repository<LearnPageCms> {

    async createEntity(dto: UpdateLearnPageCmsDto): Promise<LearnPageCms | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                pageDescription: dto.pageDescription,
                sectionOneTitle: dto.sectionOneTitle,
                sectionOneDescription: dto.sectionOneDescription,
                sectionOneImage: dto.sectionOneImage,
                sectionTwoTitle: dto.sectionTwoTitle,
                sectionTwoDescription: dto.sectionTwoDescription,
                sectionTwoImage: dto.sectionTwoImage,
                sectionThreeTitle: dto.sectionThreeTitle,
                sectionThreeDescription: dto.sectionThreeDescription,
                sectionFourTitle: dto.sectionFourTitle,
                sectionFourDescription: dto.sectionFourDescription,
                sectionFourImage: dto.sectionFourImage,
                sectionFiveTitle: dto.sectionFiveTitle,
                sectionFiveDescription: dto.sectionFiveDescription,
                sectionSixTitle: dto.sectionSixTitle,
                sectionSixImage: dto.sectionSixImage,
                sectionSixDescription: dto.sectionSixDescription,
                sectionSevenTitle: dto.sectionSevenTitle,
                sectionSevenDescription: dto.sectionSevenDescription,
                sectionSevenImage: dto.sectionSevenImage,
                sectionEightTitle: dto.sectionEightTitle
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateLearnPageCmsDto, id: string): Promise<LearnPageCms | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                pageDescription: dto.pageDescription,
                sectionOneTitle: dto.sectionOneTitle,
                sectionOneDescription: dto.sectionOneDescription,
                sectionOneImage: dto.sectionOneImage,
                sectionTwoTitle: dto.sectionTwoTitle,
                sectionTwoDescription: dto.sectionTwoDescription,
                sectionTwoImage: dto.sectionTwoImage,
                sectionThreeTitle: dto.sectionThreeTitle,
                sectionThreeDescription: dto.sectionThreeDescription,
                sectionFourTitle: dto.sectionFourTitle,
                sectionFourDescription: dto.sectionFourDescription,
                sectionFourImage: dto.sectionFourImage,
                sectionFiveTitle: dto.sectionFiveTitle,
                sectionFiveDescription: dto.sectionFiveDescription,
                sectionSixTitle: dto.sectionSixTitle,
                sectionSixImage: dto.sectionSixImage,
                sectionSixDescription: dto.sectionSixDescription,
                sectionSevenTitle: dto.sectionSevenTitle,
                sectionSevenDescription: dto.sectionSevenDescription,
                sectionSevenImage: dto.sectionSevenImage,
                sectionEightTitle: dto.sectionEightTitle
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<LearnPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}