import { EntityRepository, Repository } from "typeorm";
import { UpdateProductPageCmsDto } from "./dto/update-product-page-cms.dto";
import { ProductPageCms } from "./entities/product-page-cms.entity";

@EntityRepository(ProductPageCms)
export class ProductPageCmsRepository extends Repository<ProductPageCms> {

    async createEntity(dto: UpdateProductPageCmsDto): Promise<ProductPageCms | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                headerTitle: dto.headerTitle,
                headerSubTitle: dto.headerSubTitle,
                discountImage: dto.discountImage,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateProductPageCmsDto, id: string): Promise<ProductPageCms | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                headerTitle: dto.headerTitle,
                headerSubTitle: dto.headerSubTitle,
                discountImage: dto.discountImage,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ProductPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}