import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { PromotionalPageCmsRepository } from './promotional-page-cms.repository';
import { PromotionalPageCmsController } from './promotional-page-cms.controller';
import { PromotionalPageCmsService } from './promotional-page-cms.service';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { ProductsRepository } from 'src/modules/product/product/product.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PromotionalPageCmsRepository, ProductsRepository])
    ],
    controllers: [PromotionalPageCmsController],
    providers: [PromotionalPageCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class PromotionalPageCmsModule {}