import { EntityRepository, Repository } from "typeorm";
import { UpdateTermsPolicyCmsDto } from "./dto/update-terms-policy-cms.dto";
import { TermsPolicyCms } from "./entities/terms-policy-cms.entity";

@EntityRepository(TermsPolicyCms)
export class TermsPolicyCmsRepository extends Repository<TermsPolicyCms> {

    async createEntity(dto: UpdateTermsPolicyCmsDto): Promise<TermsPolicyCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                description: dto.description,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateTermsPolicyCmsDto, id: string): Promise<TermsPolicyCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                description: dto.description,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<TermsPolicyCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}