import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { GiftCardDetailsComponentCmsService } from './gift-card-details-component-cms.service';
import { UpdateGiftCardDetailsComponentCmsDto } from './dto/update-gift-card-details-component-cms.dto';

@Controller({ path: 'gift-card-details-component-cms', version: Constants.API_VERSION_1 })

export class GiftCardDetailsComponentCmsController {
    constructor(private readonly service: GiftCardDetailsComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateGiftCardDetailsComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
