import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { LearnComponentCmsService } from './learn-component-cms.service';
import { UpdateLearnComponentCmsDto } from './dto/update-learn-component-cms.dto';

@Controller({ path: 'learn-component-cms', version: Constants.API_VERSION_1 })

export class LearnComponentCmsController {
    constructor(private readonly service: LearnComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateLearnComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
