import { EntityRepository, Repository } from "typeorm";
import { UpdateReturnPolicyComponentCmsDto } from "./dto/update-return-policy-component-cms.dto";
import { ReturnPolicyComponentCms } from "./entities/return-policy-component-cms.entity";

@EntityRepository(ReturnPolicyComponentCms)
export class ReturnPolicyComponentCmsRepository extends Repository<ReturnPolicyComponentCms> {

    async createEntity(dto: UpdateReturnPolicyComponentCmsDto): Promise<ReturnPolicyComponentCms | Error> {
        try {
            const entity = this.create({
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateReturnPolicyComponentCmsDto, id: string): Promise<ReturnPolicyComponentCms | Error> {
        try {
            await this.update(id, {
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ReturnPolicyComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}