import { Module } from '@nestjs/common';
import { CoreResourceService } from './core-resource.service';
import { CoreResourceController } from './core-resource.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UsersRepository } from '../users/user.repository';
import { AuthService } from '../auth/auth.service';
import { ChangePasswordTokenRepository } from '../change-password-token/change-password-token.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { MailSenderService } from '../mail-sender/mail-sender.service';
import { JwtModule, JwtService } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { EmailNotifierRepository } from '../email-notifier/email-notifier-repository';
import { ProductColorRepository } from '../product/product-color/product-color.repository';
import { ProductHighlightRepository } from '../product/product-highlight/product-highlight.repository';
import { ProductMaterialRepository } from '../product/product-material/product-material.repository';
import { ProductSizeRepository } from '../product/product-size/product-size.repository';
import { ProductTagRepository } from '../product/product-tag/product-tag.repository';
import { ProductSubCategoryRepository } from '../product/product-sub-category/product-sub-category.repository';
import { ProductChildCategoryRepository } from '../product/product-child-category/product-child-category.repository';
import { ShippingAddressRepository } from '../address/shipping-address/shipping-address.repository';
import { BillingAddressRepository } from '../address/billing-address/billing-address.repository';
import { ContactAddressRepository } from '../contact/contact-address/contact-address.repository';
import { ContactPageCmsRepository } from '../CMS/contact-page-cms/contact-page-cms.repository';
import { FooterCmsRepository } from '../CMS/footer-cms/footer-cms.repository';
import { SiteSocialLinksRepository } from '../site-social-links/site-social-links.repository';
import { ProductsRepository } from '../product/product/product.repository';
import { HomePageCmsRepository } from '../CMS/home-page-cms/home-page-cms.repository';
import { HomeSliderRepository } from '../home/home-slider/home-slider.repository';
import { HomePageSectionTwoRepository } from '../home/home-page-section-two/home-page-section-two.repository';
import { HomePageSectionThreeCmsRepository } from '../CMS/home-page-section-three-cms/home-page-section-three-cms.repository';
import { HomePageSectionFourCmsRepository } from '../CMS/home-page-section-four-cms/home-page-section-four-cms.repository';
import { HomePageSectionSixCmsRepository } from '../CMS/home-page-section-six-cms/home-page-section-six-cms.repository';
import { HomePageSectionSevenCmsRepository } from '../CMS/home-page-section-seven-cms/home-page-section-seven-cms.repository';
import { CustomerReviewRepository } from '../home/customer-review/customer-review.repository';
import { StylePageSectionOneCmsRepository } from '../CMS/style-page-section-one-cms/style-page-section-one-cms.repository';
import { StylePageSectionThreeCmsRepository } from '../CMS/style-page-section-three-cms/style-page-section-three-cms.repository';
import { StylePageSectionFourCmsRepository } from '../CMS/style-page-section-four-cms/style-page-section-four-cms.repository';
import { StylePageSectionFiveCmsRepository } from '../CMS/style-page-section-five-cms/style-page-section-five-cms.repository';
import { GalleryRepository } from '../gallery/gallery.repository';
import { GiftCardPageCmsRepository } from '../CMS/gift-card-page-cms/gift-card-page-cms.repository';
import { GiftCardRepository } from '../gift-card/gift-card.repository';
import { ProductPageCmsRepository } from '../CMS/product-page-cms/product-page-cms.repository';
import { ProductParentCategoryRepository } from '../product/product-parent-category/product-parent-category.repository';
import { LearnPageCmsRepository } from '../CMS/learn-page-cms/learn-page-cms.repository';
import { GiftGuideCmsRepository } from '../CMS/gift-guide-cms/gift-guide-cms.repository';
import { GlossaryRepository } from '../glossary/glossary.repository';
import { PromotionalPageCmsRepository } from '../CMS/promotional-page-cms/promotional-page-cms.repository';
import { HomeComponentCmsRepository } from '../component-cms/home-component-cms/home-component-cms.repository';
import { ShopComponentCmsRepository } from '../component-cms/shop-component-cms/shop-component-cms.repository';
import { GalleryPageCmsRepository } from '../CMS/gallery-page-cms/gallery-page-cms.repository';
import { GalleryComponentCmsRepository } from '../component-cms/gallery-component-cms/gallery-component-cms.repository';
import { StyleComponentCmsRepository } from '../component-cms/style-component-cms/style-component-cms.repository';
import { AboutPageCmsRepository } from '../CMS/about-page-cms/about-page-cms.repository';
import { AboutComponentCmsRepository } from '../component-cms/about-component-cms/about-component-cms.repository';
import { CollectionComponentCmsRepository } from '../component-cms/collection-component-cms/collection-component-cms.repository';
import { LearnComponentCmsRepository } from '../component-cms/learn-component-cms/learn-component-cms.repository';
import { ContactComponentCmsRepository } from '../component-cms/contact-component-cms/contact-component-cms.repository';
import { PromotionalComponentCmsRepository } from '../component-cms/promotional-component-cms/promotional-component-cms.repository';
import { GiftCardComponentCmsRepository } from '../component-cms/gift-card-component-cms/gift-card-component-cms.repository';
import { GiftCardDetailsComponentCmsRepository } from '../component-cms/gift-card-details-component-cms/gift-card-details-component-cms.repository';
import { ProductDetailsComponentCmsRepository } from '../component-cms/product-details-component-cms/product-details-component-cms.repository';
import { CollectionPageRepository } from '../CMS/collection-page-cms/collection-page-cms.repository';


@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([
      ChangePasswordTokenRepository,
      EmailNotifierRepository,
      ProductColorRepository,
      ProductSizeRepository,
      ProductTagRepository,
      ProductHighlightRepository,
      ProductMaterialRepository,
      ProductSubCategoryRepository,
      ProductChildCategoryRepository,
      ShippingAddressRepository,
      BillingAddressRepository,
      ContactAddressRepository,
      ContactPageCmsRepository,
      FooterCmsRepository,
      SiteSocialLinksRepository,
      ProductsRepository,
      HomePageCmsRepository,
      HomeSliderRepository,
      HomePageSectionTwoRepository,
      HomePageSectionThreeCmsRepository,
      HomePageSectionFourCmsRepository,
      HomePageSectionSixCmsRepository,
      HomePageSectionSevenCmsRepository,
      CustomerReviewRepository,
      CollectionPageRepository,
      StylePageSectionOneCmsRepository,
      StylePageSectionThreeCmsRepository, 
      StylePageSectionFourCmsRepository, 
      StylePageSectionFiveCmsRepository, 
      GalleryRepository,
      GiftCardPageCmsRepository,
      GiftCardRepository,
      ProductPageCmsRepository,
      ProductParentCategoryRepository,
      LearnPageCmsRepository,
      GiftGuideCmsRepository,
      GlossaryRepository,
      PromotionalPageCmsRepository,
      HomeComponentCmsRepository,
      ShopComponentCmsRepository,
      GalleryPageCmsRepository,
      GalleryComponentCmsRepository,
      StyleComponentCmsRepository,
      AboutPageCmsRepository,
      AboutComponentCmsRepository,
      CollectionComponentCmsRepository,
      LearnComponentCmsRepository,
      ContactComponentCmsRepository,
      PromotionalComponentCmsRepository,
      GiftCardComponentCmsRepository,
      GiftCardDetailsComponentCmsRepository,
      ProductDetailsComponentCmsRepository
    ]),
  ],
  controllers: [CoreResourceController],
  providers: [
    CoreResourceService,
    AuthService,
    JwtHelper,
    MailSenderService,
  ]
})
export class CoreResourceModule { }
