import { Controller, Get, Post, Body, Patch, Param, Delete, UseGuards, Req } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { AuthGuard } from 'src/core/guards/auth.guard';
import { Constants } from 'src/utils/constants';
import { DashboardService } from './dashboard.service';

@Controller({ path: 'dashboard', version: Constants.API_VERSION_1 })

export class DashboardController {
  constructor(private readonly service: DashboardService) {}

  @Get('/admin')
  @UseGuards(AdminAuthGuard) 
  async getDashboardData() {
    return await this.service.getAdminDashboardData();
  }

  @Get('/customer')
    @UseGuards(AuthGuard)
    dashboard(@Req() req: any) {
        return this.service.getCustomerDashboardData(req.user);
    }
}
