import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { UsersRepository } from 'src/modules/users/user.repository';
import { BraceletsSizeController } from './bracelets-size.controller';
import { BraceletsSizeRepository } from './bracelets-size.repository';
import { BraceletsSizeService } from './bracelets-size.service';

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([BraceletsSizeRepository])
  ],
  controllers: [BraceletsSizeController],
  providers: [BraceletsSizeService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class BraceletsSizeModule {}
