import { CoreEntity } from "src/core/core.entity";
import { Column, Entity, JoinColumn, ManyToOne } from "typeorm";
import { Order } from "../../order/entities/order.entity";

@Entity('gift_card_details')
export class GiftCardDetails extends CoreEntity {
    @Column()
    giftCardId: string;

    @Column()
    name: string;

    @Column()
    customerId: string;

    @Column()
    orderId: string;

    @Column()
    image: string;

    @Column()
    quantity: number;

    @Column()
    itemSubTotal: number;

    @Column()
    itemTotal: number;

    @Column()
    itemPrice: number;

    @Column({ default: 0, nullable:true })
    isGift: boolean;

    @Column({ default: null, nullable:true })
    giftEmail: string;

    @Column()
    createdBy: string;

    @ManyToOne(() => Order)
    @JoinColumn({ name: 'orderId', referencedColumnName: "orderId" })
    order: Order[];

}
