import { CoreEntity } from "src/core/core.entity";
import { AfterInsert, Column, Entity, getConnection, JoinColumn, ManyToOne } from "typeorm";
import { Order } from "../../order/entities/order.entity";

@Entity('order_details')
export class OrderDetails extends CoreEntity {
    @Column()
    productId: string;

    @Column()
    name: string;

    @Column()
    customerId: string;

    @Column()
    orderId: string;

    @Column()
    featuredImage: string;

    @Column()
    variants: string;

    @Column()
    quantity: number;

    @Column()
    itemSubTotal: number;

    @Column()
    itemTotal: number;

    @Column()
    itemPrice: number;

    @Column({ default: false, nullable:true })
    isGift: boolean;

    @Column()
    createdBy: string;

    @ManyToOne(() => Order)
    @JoinColumn({ name: 'orderId', referencedColumnName: "orderId" })
    order: Order[];

    @AfterInsert()
    processInvoiceService(){
        console.log("productId After Insert = ", this.productId);
        let sql = "CALL topProductCount('"+this.productId+"', 1)";
        console.log('sql = ', sql);
        getConnection().query(sql);
    }

}
