import { IsNotEmpty, IsEmpty } from "class-validator";

export class CreateOrderDto {
    @IsNotEmpty()
    readonly shippingAddress: string;

    @IsNotEmpty()
    readonly billingAddress: string;

    @IsNotEmpty()
    readonly remarks: string;

    @IsNotEmpty()
    readonly itemSubTotal: number;

    @IsNotEmpty()
    readonly itemTotal: number;

    @IsNotEmpty()
    readonly coupon: string;

    @IsNotEmpty()
    readonly paymentMethodName: string;

    @IsEmpty()
    ccNum: string;

    @IsEmpty()
    ccExp: string;

    @IsEmpty()
    cvv: string;

    @IsEmpty()
    amount: number;

    @IsEmpty()
    paymentStatus: string;

    @IsNotEmpty()
    readonly products: [Object];

    @IsNotEmpty()
    readonly giftCard: [Object];
}
