import { CoreEntity } from "src/core/core.entity";
import { AfterInsert, Column, Entity, getConnection, OneToMany } from "typeorm"
import { GiftCardDetails } from "../../gift-card-details/entity/gift-card-details.entity";
import { OrderDetails } from "../../order-details/entity/order-details.entity";

@Entity('orders')
export class Order extends CoreEntity {
    @Column({ unique: true })
    orderId: string;

    @Column()
    customerId: string;

    @Column()
    customerName: string;

    @Column({ type: 'float', default: 0 })
    productPriceTotal: number;

    @Column({ default: null })
    couponNumber: string;

    @Column({ default: null })
    couponDiscount: string;

    @Column({ default: 0 })
    totalQuantity: number;

    @Column({ default: 0 })
    itemTotalDiscount: string;

    @Column({ type: 'float', default: 0 })
    subTotal: number;

    @Column({ type: 'float', default: 0 })
    total: number;

    @Column({ default: null })
    remarks: string;

    @Column({ default: null })
    paymentMethodId: string;

    @Column({ default: 0 })
    paymentAmount: number;

    @Column({ default: "CASH ON DELIVERY" })
    paymentMethodName: string;

    @Column({ default: "PENDING" })
    paymentStatus: string;

    @Column({ default: "PENDING" })
    deliveryStatus: string;

    @Column({ default: null, type: "longtext" })
    billingAddress: string;

    @Column({ default: null, type: "longtext" })
    shippingAddress: string;

    @OneToMany(() => OrderDetails, orderDetails => orderDetails.order)
    orderDetails: OrderDetails[];

    @OneToMany(() => GiftCardDetails, giftCardDetails => giftCardDetails.order)
    giftCardDetails: GiftCardDetails[];

    @AfterInsert()
    processInvoiceService() {
        if (this.couponNumber.length > 0) {
            let sql = "CALL cuponUsedWithInvoice('" + this.couponNumber + "')";
            console.log('sql = ', sql);
            getConnection().query(sql);
        }
    }
}
