import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductChildCategoryRepository } from './product-child-category.repository';
import { ProductChildCategoryController } from './product-child-category.controller';
import { ProductChildCategoryService } from './product-child-category.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductChildCategoryRepository])
    ],
    controllers: [ProductChildCategoryController],
    providers: [ProductChildCategoryService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductChildCategoryModule {}
