import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductSubCategoryRepository } from './product-sub-category.repository';
import { ProductSubCategoryController } from './product-sub-category.controller';
import { ProductSubCategoryService } from './product-sub-category.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductSubCategoryRepository])
    ],
    controllers: [ProductSubCategoryController],
    providers: [ProductSubCategoryService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductSubCategoryModule {}
