import { IsNotEmpty, IsEmpty, IsDecimal } from "class-validator";

export class CreateProductDto {
    @IsEmpty()
    name: string;

    @IsEmpty()
    featuredImage: string;

    @IsEmpty()
    sku : string;

    @IsEmpty()
    rating: string;

    @IsEmpty()
    @IsDecimal()
    price: number;

    @IsEmpty()
    @IsDecimal()
    cost: number;

    @IsEmpty()
    stock: string;

    @IsEmpty()
    weight: string;

    @IsEmpty()
    vendorName: string;

    @IsNotEmpty()
    parentCategoryId: string;

    @IsEmpty()
    parentCategoryName: string;

    @IsEmpty()
    subCategoryId: string;

    @IsEmpty()
    subCategoryName: string;

    @IsEmpty()
    childCategoryId: string;

    @IsEmpty()
    childCategoryName: string;

    @IsEmpty()
    isFeatured : number;

    @IsEmpty()
    shortDescription : string;

    @IsEmpty()
    longDescription : string;

    @IsEmpty()
    color: [string];

    @IsEmpty()
    size: [string];

    @IsEmpty()
    tag: [string];

    @IsEmpty()
    material: [string];

    @IsEmpty()
    highlight: [string];

    @IsEmpty()
    isMerch: number;

    @IsEmpty()
    isGiftGuide: number;

    @IsEmpty()
    isReadyToShip: number;
}
