import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { ProductChildCategoryRepository } from '../product-child-category/product-child-category.repository';
import { ProductColorVariantsRepository } from '../product-color-variants/product-color-variants.repository';
import { ProductColorRepository } from '../product-color/product-color.repository';
import { ProductDumpImportRepository } from '../product-dump-import/product-dump-importrepository';
import { ProductHighlightVariantsRepository } from '../product-highlight-variants/product-highlight-variants.repository';
import { ProductHighlightRepository } from '../product-highlight/product-highlight.repository';
import { ProductImageGalleryRepository } from '../product-image-gallery/product-image-gallery.repository';
import { ProductMaterialVariantsRepository } from '../product-material-variants/product-material-variants.repository';
import { ProductMaterialRepository } from '../product-material/product-material.repository';
import { ProductParentCategoryRepository } from '../product-parent-category/product-parent-category.repository';
import { ProductSizeVariantsRepository } from '../product-size-variants/product-size-variants.repository';
import { ProductSizeRepository } from '../product-size/product-size.repository';
import { ProductStockImportRepository } from '../product-stock-import/product-stock-importrepository';
import { ProductSubCategoryRepository } from '../product-sub-category/product-sub-category.repository';
import { ProductTagVariantsRepository } from '../product-tag-variants/product-tag-variants.repository';
import { ProductTagRepository } from '../product-tag/product-tag.repository';
import { ProductController } from './product.controller';
import { ProductsRepository } from './product.repository';
import { ProductService } from './product.service';

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([
      ProductsRepository,
      ProductParentCategoryRepository,
      ProductColorRepository,
      ProductColorVariantsRepository,
      ProductSizeRepository,
      ProductSizeVariantsRepository,
      ProductTagRepository,
      ProductTagVariantsRepository,
      ProductImageGalleryRepository,
      ProductMaterialRepository,
      ProductMaterialVariantsRepository,
      ProductHighlightRepository,
      ProductHighlightVariantsRepository,
      ProductStockImportRepository,
      ProductSubCategoryRepository,
      ProductChildCategoryRepository,
      ProductDumpImportRepository
    ]),
  ],
  controllers: [ProductController],
  providers: [
    ProductService,
    JwtHelper,
    DoSpacesService,
    DoSpacesServicerovider
  ]
})
export class ProductModule { }
