import { Module } from '@nestjs/common';
import { ReportService } from './report.service';
import { ReportController } from './report.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { OrderDetailsRepository } from '../orders/order-details/order-details.repository';
import { GiftCardDetailsRepository } from '../orders/gift-card-details/gift-card-details.repository';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      OrderDetailsRepository,
      GiftCardDetailsRepository,
    ])
  ],
  controllers: [ReportController],
  providers: [ReportService]
})
export class ReportModule {}
