import { HttpException, HttpStatus, Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Constants } from 'src/utils/constants';
import { ResponseUtils } from 'src/utils/response.utils';
import { GiftCardDetailsRepository } from '../orders/gift-card-details/gift-card-details.repository';
import { OrderDetails } from '../orders/order-details/entity/order-details.entity';
import { OrderDetailsRepository } from '../orders/order-details/order-details.repository';
import { CreateReportDto } from './dto/create-report.dto';
import { UpdateReportDto } from './dto/update-report.dto';

@Injectable()
export class ReportService {
  constructor(
    @InjectRepository(OrderDetailsRepository)
    private readonly orderDetailrepo: OrderDetailsRepository,
    @InjectRepository(GiftCardDetailsRepository)
    private readonly giftCardDetailRepo: GiftCardDetailsRepository
  ) { }

  async orderProfitService(
    take: number,
    page: number,
    startDate?: Date,
    endDate?: Date,
    orderId?: string
  ): Promise<any | Error> {
    let query: any = {};
    if (startDate) query.startDate = startDate;
    if (endDate) query.endDate = endDate;
    if (orderId) query.orderId = orderId;

    let response = {};
    const data = await this.orderDetailrepo.findAllEntities(take, page, query);
    if (Object.keys(data).length > 0) {
      response["orderDetails"] = data;
    }
    const giftCardDetails = await this.giftCardDetailRepo.findAllEntities(take, page, query);
    if (Object.keys(giftCardDetails).length > 0) {
      response["giftCardDetails"] = giftCardDetails;
    }
    return ResponseUtils.successResponseHandler(200, "Orders data successfully fetched.", "data", response);
  }
}
